#ifndef SCANNERSINTERFACE_H
#define SCANNERSINTERFACE_H
#include "ScannerSModelclasses.h"
#include "ScannerSModels/2HDM/ScannerSTwoHDM.h"
#include "ScannerSModels/xSM2/ScannerSxSM2.h"
#include <istream>
#include <ostream>
#include <iostream>
#include <vector>
#include <fstream>

std::string ReturnOption(int argc, char ** & argv, std::string option);
int RedirectOstream(std::ostream & os,std::ofstream & ofsredir,std::streambuf * obuff,int argc, char ** & argv,std::string & filename, std::string option);
int RedirectInfostream(std::ostream & os,std::ofstream & ofsredir,std::streambuf * obuff,int argc, char ** & argv,std::string & filename, std::string option);
void OpenModelFile(std::ifstream & modelfile, std::string & filepath);
int OpenInputFile(std::ifstream & instream,int argc, char ** & argv, std::string & inputfile,std::string option);
void CheckHelpNeeded(int argc, char ** & argv);
void getvariable(std::istream & in,int & i,std::string keyword);
bool getvariable(std::istream & in,double & min,double & max,std::string keyword);
int checkinputheader(std::ifstream & instream);
void chose_model(std::ifstream & instream,Potential * & V, Potential * & Vaux);
void MakeInputfile(int argc, char ** & argv,std::string keyword);

bool fileExists(const char *fileName); //Defined in ScannerSAnalysisUtils.cpp

#endif
